GET
/integration/v1/content_providers/{id}
List content providers by id
List content providers by id
operationId List content providers by id
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id
|
string (uuid) | required | Content provider guid |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
name
|
string | optional | Content provider name, e.g: Udacity |
_limit
|
integer | optional | Pagination (_limit=500-10 - Get 10 items from offset 500, default: 0-20) |
Responses
200
application/json body
| Field | Type | Required | Description |
|---|---|---|---|
id
|
string (uuid) | required | |
account_id
|
string (uuid) | required | |
code
|
string | required | |
name
|
string | required | |
course_id_prefix
|
string | optional | |
logo_url
|
string | optional | |
description
|
string | optional | |
settings
|
object | optional | |
Record_Creation_Date
|
string (date-time) | optional |
412 Invalid parameters
500 Server error
512 Specification violations